commit:     5f62ff22155496db5d942370af445f79b0016bad
Author:     Yongxiang Liang <tanekliang <AT> gmail <DOT> com>
AuthorDate: Wed Oct  9 17:27:04 2024 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Fri Oct 11 00:06:37 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f62ff22

app-i18n/fcitx-qt: add 5.1.7

Signed-off-by: Yongxiang Liang <tanekliang <AT> gmail.com>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 app-i18n/fcitx-qt/Manifest              |  1 +
 app-i18n/fcitx-qt/fcitx-qt-5.1.7.ebuild | 65 +++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/app-i18n/fcitx-qt/Manifest b/app-i18n/fcitx-qt/Manifest
index cd9e904371c3..00ec866bb566 100644
--- a/app-i18n/fcitx-qt/Manifest
+++ b/app-i18n/fcitx-qt/Manifest
@@ -1 +1,2 @@
 DIST fcitx-qt-5.1.5.tar.xz 93980 BLAKE2B 
b119cbf886a6c7d37c3d959897dea38ad2c1112811ed776ed53ee715f441798b300d54023b34980f625ef2cf3235be4f6c64f7e8c2c65568c8487306714bdb1f
 SHA512 
736677a268d345a962e8c44af81870d2cfc62db72c7a089e2c11151f7f682659ec83307a3397d1feb2dda7e9419847d5e365f7a20ca9b7d6216b690cb9c515c7
+DIST fcitx-qt-5.1.7.tar.zst 128686 BLAKE2B 
f1f86282e10313b63b2c36f168043dd9a6e090e2cb9644b6359724798b1fd001a866eb1ec84a4ab8f14946fe5339d8935b7b3749614d0a2eeb9e83d8bba8c334
 SHA512 
1078c3f275fa883b7b9bf2e1b71e926c9f639f637f4838fe0401648a73338c3b9e08c1e83cd8ab44994b4450983247a6882c42b012e4642111592050ee2ce144

diff --git a/app-i18n/fcitx-qt/fcitx-qt-5.1.7.ebuild 
b/app-i18n/fcitx-qt/fcitx-qt-5.1.7.ebuild
new file mode 100644
index 000000000000..1d82d83511b2
--- /dev/null
+++ b/app-i18n/fcitx-qt/fcitx-qt-5.1.7.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="fcitx5-qt"
+
+inherit cmake unpacker
+
+DESCRIPTION="Qt library and IM module for fcitx5"
+HOMEPAGE="https://github.com/fcitx/fcitx5-qt";
+SRC_URI="https://download.fcitx-im.org/fcitx5/${MY_PN}/${MY_PN}-${PV}.tar.zst 
-> ${P}.tar.zst"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+LICENSE="BSD LGPL-2.1+"
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+IUSE="qt5 onlyplugin staticplugin +qt6 +X wayland"
+REQUIRED_USE="
+       || ( qt5 qt6 )
+       qt5? ( X )
+       staticplugin? ( onlyplugin )
+"
+
+RDEPEND="
+       !onlyplugin? (
+               >=app-i18n/fcitx-5.1.5:5
+               qt5? ( dev-qt/qtconcurrent:5 )
+       )
+       qt5? (
+               dev-qt/qtcore:5
+               dev-qt/qtdbus:5
+               dev-qt/qtgui:5=
+               dev-qt/qtwidgets:5
+               wayland? ( dev-qt/qtwayland:5 )
+       )
+       qt6? (
+               dev-qt/qtbase:6=[dbus,gui,widgets,wayland?]
+               wayland? ( dev-qt/qtwayland:6 )
+       )
+       X? (
+               x11-libs/libX11
+               x11-libs/libxcb
+               x11-libs/libxkbcommon
+       )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       kde-frameworks/extra-cmake-modules:0
+       virtual/pkgconfig
+       !onlyplugin? ( sys-devel/gettext )
+"
+
+src_configure() {
+       local mycmakeargs=(
+               -DENABLE_QT4=no
+               -DENABLE_QT5=$(usex qt5)
+               -DENABLE_QT6=$(usex qt6)
+               -DENABLE_QT6_WAYLAND_WORKAROUND=$(usex qt6 $(usex wayland))
+               -DENABLE_X11=$(usex X)
+               -DBUILD_ONLY_PLUGIN=$(usex onlyplugin)
+               -DBUILD_STATIC_PLUGIN=$(usex staticplugin)
+       )
+       cmake_src_configure
+}

Reply via email to